# Add a snap-up task

Note: Each item (SPU) can only have one rush job at a time. If there is a current snagging task that is not finished, you are not allowed to create a second snagging task whether or not it began You can modify the status of a snagging task in advance to the end and create a new task. Every time you create a snap task, you must populate the snap information for all SKUs under that SPU

# Dxplaination of Interface Call Request

http请求方式:POST
https://api.weixin.qq.com/product/limiteddiscount/add/access_token=xxxxxxxxx

# Example of request parameters

{
    "product_id":20959565,
    "start_time":1614863822,
    "end_time":1614873822,
    "limited_discount_sku_list":
    [
        {
            "sku_id":21244061,
            "sale_price":2888,
            "sale_stock":3
        },
        {
            "sku_id":24350012,
            "sale_price":2600,
            "sale_stock":50
        }
    ]
}

# Examples of back-up

{
    "task_id": 346164
}

# Dxplaination of request parameters

参数 type Is it compulsory? Introductions
product_id number yes Product ID participating in the rush
start_time number yes The start time of the snagging task Second time stamp
end_time number yes The end time of the snap task in seconds must be greater than the previous time and the start_time
limited_discount_sku_list[].sku_id number yes Product information of different specifications under the product ID of the product participating in the snap-up
limited_discount_sku_list[].sale_price number yes The price of the SKU must be less than the original price
limited_discount_sku_list[].sale_stock number yes The inventory of goods participating in the snap purchase must be less than equal to the existing inventory

# Dxplaination of callback parameters

参数 type Introductions
errcode number Error code
task_id number Return after successful creation of Snap Up Task ID

# Return code

返回码 Error Type
-1 System exceptions
-2 Token too long
9401020 The parameter is incorrect.
9401021 Call the api without permission
110000 There is already a rush job for this product_id
110003 Rushing to set up time is illegal.